import axios from "axios";
import http from "@/http/http.js";
let baseUrl =
    "http://zcchannel.gongsibao.com:4003/web/auth/accessAuth/getAppTokenByHosts";

//获取token
export function getTokens() {
    return axios.post(baseUrl, {
        actionType: "getAppTokenByHosts", //固定写法就行
        actionBody: {}
    });
}

//jdbycdetailtm数据
export function getJdbycdetailtmData() {
    return http.post(baseUrl, {
        actionType: "getAppTokenByHosts",
        actionBody: { timeStamp: 1578295027, channelUserId: "" }
    });
}
//初审公告期号图片
export function getLinkUrl(num) {
    return axios.post(baseUrl, {
        actionProcess: "jd",
        sign: "2FviZ9PGws8Pt1fBhq0t90mjUvI",
        actionBody: {
            sbzch: "14543071",
            zcggqh: num,
            timeStamp: 1578298188,
            channelUserId: ""
        },
        actionType: "noticezcggsearch",
        requrl: "/action/tmQuery/springBoard",
        isUser: "no",
        isDecryptUser: "no"
    });
}
//获取公司信息
export function getCompanyInfo(name) {
    return http.post(baseUrl, {
        actionProcess: "jd",
        sign: "2FviZ9PGws8Pt1fBhq0t90mjUvI",
        actionBody: {
            company_name: name,
            timeStamp: 1578298969,
            channelUserId: ""
        },
        actionType: "getCompanyInfoNoUser",
        requrl: "/action/tmQuery/springBoard",
        isUser: "no",
        isDecryptUser: "no"
    });
}